[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

libbonoboui, testing packages install...

I haven't been able to look at the m68k-build list archives as they seem
to be broken. These questions may already be explained.

In about 10 days (when openldap2 goes into testing) there will likely be
people complaining that libbonoboui won't compile on the m68k arch [1] and
is thus holding back Gnome2 from entering testing [2]. I see from the
build logs [3] that building libbonoboui on a m68k buildd has been tried
three times without success. The most recent buildd log [4] says:
Setting up fontconfig (2.2.1-1) ...
debconf: Please do not capitalize the first letter of the debconf frontend.
Regenerating fonts cache.../var/lib/dpkg/info/fontconfig.postinst: line
84: 26858 Segmentation fault      HOME=/root fc-cache -f -v >/var/log/fontconfig.log 2>&1
failed; see /var/log/fontconfig.log for more information
Setting up libgnome2-common (2.2.2-2) ...
/var/lib/dpkg/info/libgnome2-common.postinst: line 26: 26924 Segmentation fault      HOME=/root GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/$FILES >/dev/null
dpkg: error processing libgnome2-common (--configure):
 subprocess post-installation script returned error exit status 139
dpkg: dependency problems prevent configuration of libgnome2-0:
 libgnome2-0 depends on libgnome2-common (= 2.2.2-2); however:
  Package libgnome2-common is not configured yet.
dpkg: error processing libgnome2-0 (--configure): dependency problems - leaving unconfigured
Setting up libgnomevfs2-common (2.2.5-2) ...
/var/lib/dpkg/info/libgnomevfs2-common.postinst: line 8: 26932 Segmentation fault      HOME=/root GCONF_CONFIG_SOURCE=xml::/etc/gconf/gconf.xml.defaults gconftool --makefile-install-rule /etc/gconf/schemas/system_http_proxy.schemas >/dev/null 2>&1
dpkg: error processing libgnomevfs2-common (--configure):
 subprocess post-installation script returned error exit status 139
dpkg: dependency problems prevent configuration of libgnomevfs2-dev:
 libgnomevfs2-dev depends on libgnomevfs2-common; however:
  Package libgnomevfs2-common is not configured yet.
dpkg: error processing libgnomevfs2-dev (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
Where's the issue? Should bugs be filed against any of these packages to
alert any of the maintainer(s) or is this a bug with something common that
they call in their scripts?

Is it worth adding some kind of test to the buildd's or somewhere else to
test that the package can install, uninstall, upgrade properly? Debian
documentation says the developer should do that, but they aren't likely to
do it for all archs.

[1] http://bjorn.haxx.se/debian/testing.pl?package=libbonoboui
http://packages.qa.debian.org/libbonoboui update_excuses and
[2] http://bjorn.haxx.se/debian/testing.pl?waiting=libbonoboui
[3] http://buildd.debian.org/build.php?arch=&pkg=libbonoboui&vers=2.2.2-1
[4] http://buildd.debian.org/fetch.php?&pkg=libbonoboui&ver=2.2.2-1&arch=m68k&stamp=1057896668&file=log&as=raw

     Drew Daniels

Reply to: